const { gql } = require('apollo-server-express');

module.exports = gql`

    type Mesure {
        id: ID!
        key: String!
        value: String!
        patient: Patient!
        createdBy: String!
        createdAt: DateTime
        updatedAt: DateTime
    }

    extend type Query {
        findAllMesure: (patientId: String!): Mesure!
    }

    extend type Mutation {
        createAntecedent(key: String!, value: String!, patientId: String!, createdBy: String!): Antecedent!
    }

`;